Subject: Re: [PATCH] netconsole: fix BUG during net device "upping"

From: Jarek Poplawski <[email-masked]>
Date: Mon, 23 Mar 2009 09:20:33 +0000

On Mon, Mar 23, 2009 at 01:15:08AM -0700, David Miller wrote:
> From: Jarek Poplawski <[email-masked]>
> Date: Mon, 23 Mar 2009 08:11:58 +0000
> 
> > On Mon, Mar 23, 2009 at 01:05:41AM -0700, David Miller wrote:
> > > From: Jarek Poplawski <[email-masked]>
> > > Date: Mon, 23 Mar 2009 08:04:55 +0000
> > > 
> > > > What is the rationale of this decision? printk is a basic tool,
> > > > especially designed to work in as many places as possible, and
> > > > netconsole is rather something secondary (sorry Matt)?!
> > > 
> > > And this basic tool cannot work from the drivers ->open() method.
> > 
> > And in any function used in the drivers ->open(). BTW, with Marcin's
> > patch it can...
> 
> This issue came up before, and after we added the netif_running()
> check we hit this IIF_UP one and at the time we looked into it
> and the result we came up with is that you just can't do it in
> a network driver's ->open()
> 
> Look up the thread, I'm too lazy...
> 

So I try to make appear I'm less lazy, and read this one thread only,
but can't see this IIF_UP being mentioned:

http://marc.info/?t=123306255900001&r=1&w=2

Jarek P.